Subject: BUG 1.7.9: git branch fails to create new branch when --edit-description is used

From: Mark Jason Dominus <[email-masked]>
Date: Fri, 27 Jan 2012 16:52:45 -0500

This should work, but doesn't:

        % git branch
        * master
        % git branch  --edit-description  blarf
        [Edit description and exit editor normally]
        % cat .git/BRANCH_DESCRIPTION 
        I like blarf
        # Please edit the description for the branch
        #   blarf
        # Lines starting with '#' will be stripped.
        % git branch -a
        * master

Where is branch blarf?

Creating the branch and editing the description afterwards works correctly:

        % git branch blarf
        % git branch  --edit-description  blarf
        % git branch -a
          blarf
        * master
        % cat .git/config 
        [core]
                repositoryformatversion = 0
                filemode = true
                bare = false
                logallrefupdates = true
        [branch "master"]
                description = I like pie\n
        [branch "blarf"]
                description = I like blarf\n

Mark Jason Dominus 	  			                 [email-masked]